Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058150 - wordpress shouldn't require httpd
Summary: wordpress shouldn't require httpd
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: wordpress
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 05:46 UTC by Igor Gnatenko
Modified: 2018-04-11 10:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-27 06:47:35 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2014-01-27 05:46:39 UTC
I'm using nginx and I don't like use apache and it works with nginx.

wordpress config for apache could be moved to docdir/ by default.

Comment 1 Remi Collet 2014-01-27 06:47:35 UTC
Apache is the only web server which allow to have working "out of the box" configuration. 

In the future we can move the apache configuration to wordpress-httpd sub-package, but this would make sense only if we are able to have a wordpress-nginx or wordpress-lighttpd, which is not the case.

While I have work a lot to drop dependency on php (and so httpd) for PHP libraries, for now, for web-app, there is no good solution.

You still can install wordpress, and simply don't use Apache if you want.

Comment 2 Adam Williamson 2014-02-05 20:51:13 UTC
it would be possible to have a setup like this:

wordpress is a metapackage requiring wordpress-real and httpd
wordpress-real does not require httpd

or similar, but you get the picture. Not sure if we want to, but there are options.


Note You need to log in before you can comment on or make changes to this bug.